"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LegalStatus = void 0;
const react_1 = require("react");
const LegalStatus = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'legalStatus',
        ...props,
    }, children);
};
exports.LegalStatus = LegalStatus;
LegalStatus.MedicalEnumeration = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "legalStatus",
        itemScope: true,
        itemType: "https://schema.org/MedicalEnumeration",
        ...props
    }, children);
};
LegalStatus.DrugLegalStatus = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "legalStatus",
        itemScope: true,
        itemType: "https://schema.org/DrugLegalStatus",
        ...props
    }, children);
};
