"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsedToDiagnose = void 0;
const react_1 = require("react");
const MedicalConditionType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usedToDiagnose",
        itemScope: true,
        itemType: "https://schema.org/MedicalCondition",
        ...props,
    }, children);
};
const UsedToDiagnose = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usedToDiagnose",
        ...props,
    }, children);
};
exports.UsedToDiagnose = UsedToDiagnose;
UsedToDiagnose.MedicalCondition = MedicalConditionType;
