"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsesDevice = void 0;
const react_1 = require("react");
const MedicalDeviceType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usesDevice",
        itemScope: true,
        itemType: "https://schema.org/MedicalDevice",
        ...props,
    }, children);
};
const UsesDevice = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usesDevice",
        ...props,
    }, children);
};
exports.UsesDevice = UsesDevice;
UsesDevice.MedicalDevice = MedicalDeviceType;
